Leap0

Edit multiple files (find and replace)

Find and replace text across multiple files at once.

POST
/v1/sandbox/{sandboxID}/filesystem/edit-files

Find and replace text across multiple files at once.

Authorization

BearerAuth
AuthorizationBearer <token>

API key passed as a Bearer token in the Authorization header. Alternatively, use the leap0-authorization header.

In: header

Path Parameters

sandboxID*string

Unique sandbox identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

files*array<string>

List of file paths to perform replacements in.

Items1 <= items
find*string

Text to find in the files.

replace?string

Replacement text.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.leap0.dev/v1/sandbox/string/filesystem/edit-files" \  -H "Content-Type: application/json" \  -d '{    "files": [      "string"    ],    "find": "string"  }'
{  "items": [    {      "file": "string",      "success": true,      "error": "string"    }  ]}
{  "message": "string",  "errors": [    {      "field": "string",      "error": "string"    }  ]}
{  "message": "string"}